<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>prova</groupId>
	<artifactId>prova</artifactId>
	<name>prova</name>
	<version>2.0-SNAPSHOT</version>
	<url>http://www.prova.ws</url>
	<licenses>
		<license>
			<name>The Apache Software License, Version 2.0</name>
			<url>http://www.apache.org/licenses/LICENSE-2.0.txt</url>
			<distribution>repo</distribution>
		</license>
	</licenses>
	<properties>
		<muleVersion>1.4.4-SNAPSHOT</muleVersion>
	</properties>
	<dependencies>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>3.8.1</version>
		</dependency>
		<dependency>
			<groupId>com.hp.hpl.jena</groupId>
			<artifactId>jena</artifactId>
			<version>2.5.4</version>
		</dependency>
		<dependency>
			<groupId>xerces</groupId>
			<artifactId>xercesImpl</artifactId>
			<version>2.8.1</version>
		</dependency>
		<dependency>
			<groupId>org.mule</groupId>
			<artifactId>mule-core</artifactId>
			<version>${muleVersion}</version>
		</dependency>
		<dependency>
			<groupId>jade-agent-framework</groupId>
			<artifactId>jade</artifactId>
			<version>2.3</version>
		</dependency>
		<dependency>
			<groupId>jade-agent-framework</groupId>
			<artifactId>http</artifactId>
			<version>2.3</version>
		</dependency>
		<dependency>
			<groupId>jade-agent-framework</groupId>
			<artifactId>jadetools</artifactId>
			<version>2.3</version>
		</dependency>
		<dependency>
			<groupId>jade-agent-framework</groupId>
			<artifactId>base64</artifactId>
			<version>2.3</version>
		</dependency>
		<dependency>
			<groupId>jdom</groupId>
			<artifactId>jdom</artifactId>
			<version>1.0</version>
		</dependency>
		<dependency>
			<groupId>org.antlr</groupId>
			<artifactId>antlr</artifactId>
			<version>3.0ea8</version>
		</dependency>
		<dependency>
			<groupId>antlr</groupId>
			<artifactId>antlr</artifactId>
			<version>2.7.6</version>
		</dependency>
		<dependency>
			<groupId>jakarta-regexp</groupId>
			<artifactId>jakarta-regexp</artifactId>
			<version>1.4</version>
		</dependency>
		<dependency>
			<groupId>junitperf</groupId>
			<artifactId>junitperf</artifactId>
			<version>1.8</version>
		</dependency>
		<dependency>
			<groupId>jfree</groupId>
			<artifactId>jcommon</artifactId>
			<version>1.0.4</version>
		</dependency>
		<dependency>
			<groupId>jfree</groupId>
			<artifactId>jfreechart</artifactId>
			<version>1.0.4</version>
		</dependency>
		<dependency>
			<groupId>xsdlib</groupId>
			<artifactId>xsdlib</artifactId>
			<version>20030225</version>
		</dependency>
		<dependency>
			<groupId>relaxngDatatype</groupId>
			<artifactId>relaxngDatatype</artifactId>
			<version>20020414</version>
		</dependency>
		<dependency>
			<groupId>aterm</groupId>
			<artifactId>aterm</artifactId>
			<version>1.6</version>
		</dependency>
		<dependency>
			<groupId>pellet</groupId>
			<artifactId>pellet</artifactId>
			<version>1.4</version>
		</dependency>
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
			<version>5.0.4</version>
		</dependency>
		<dependency>
			<groupId>xalan</groupId>
			<artifactId>xalan</artifactId>
			<version>2.7.0</version>
		</dependency>
		<dependency>
			<groupId>jdepend</groupId>
			<artifactId>jdepend</artifactId>
			<version>2.9.1</version>
		</dependency>
		<dependency>
			<groupId>oswego-concurrent</groupId>
			<artifactId>concurrent</artifactId>
			<version>1.3.4</version>
		</dependency>
		<dependency>
			<groupId>rdf-api</groupId>
			<artifactId>rdf-api</artifactId>
			<version>2001-01-19</version>
		</dependency>
		<dependency>
			<groupId>net.sourceforge.jena</groupId>
			<artifactId>iri</artifactId>
			<version>2.5</version>
		</dependency>
		<dependency>
			<groupId>org.codehaus.woodstox</groupId>
			<artifactId>wstx-asl</artifactId>
			<version>3.2.0</version>
		</dependency>
		<dependency>
			<groupId>com.ibm.icu</groupId>
			<artifactId>icu4j</artifactId>
			<version>3.4.4</version>
		</dependency>
		<dependency>
			<groupId>commons-logging</groupId>
			<artifactId>commons-logging</artifactId>
			<version>1.1</version>
		</dependency>
		<dependency>
			<groupId>backport-util-concurrent</groupId>
			<artifactId>backport-util-concurrent</artifactId>
			<version>3.1</version>
		</dependency>
	</dependencies>
	<repositories>
		<repository>
			<id>basedir</id>
			<url>file://${basedir}/repository</url>
		</repository>
		<repository>
			<snapshots />
			<id>Jena</id>
			<name>HP Jena Repository</name>
			<url>http://jena.hpl.hp.com/repo</url>
		</repository>
		<repository>
			<snapshots />
			<id>julien</id>
			<name>Julien Maven 2.x Repository</name>
			<url>http://julien.dubois.free.fr/maven2</url>
		</repository>
		<repository>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
			<id>jboss</id>
			<name>JBoss Maven 2.x Repository</name>
			<url>http://repository.jboss.com/maven2</url>
		</repository>
		<repository>
			<snapshots>
				<enabled>false</enabled>
			</snapshots>
			<id>codehaus</id>
			<name>Codehaus Maven 2.x Release Repository</name>
			<url>http://repository.codehaus.org</url>
		</repository>
		<repository>
			<releases>
				<enabled>false</enabled>
			</releases>
			<snapshots />
			<id>codehaus-snapshots</id>
			<name>Codehaus Maven 2.x Snapshots Repository</name>
			<url>http://snapshots.repository.codehaus.org</url>
		</repository>
		<repository>
			<id>treebase-sdsc</id>
			<name>Treebase SDSC Maven 2.x Repository</name>
			<url>http://www.treebase.sdsc.edu/maven2</url>
		</repository>
	</repositories>
	<build>
		<testResources>
			<testResource>
				<directory>rules</directory>
			</testResource>
			<testResource>
				<directory>src/main/resources</directory>
			</testResource>
		</testResources>
		<plugins>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<source>1.4</source>
					<target>1.4</target>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.codehaus.mojo</groupId>
				<artifactId>dependency-maven-plugin</artifactId>
				<executions>
					<execution>
						<id>copy-dependencies</id>
						<phase>package</phase>
						<goals>
							<goal>copy-dependencies</goal>
						</goals>
						<configuration>
							<stripVersion>true</stripVersion>
							<outputDirectory>
								${basedir}/lib
							</outputDirectory>
						</configuration>
					</execution>
				</executions>
			</plugin>
			<plugin>
				<artifactId>maven-surefire-plugin</artifactId>
				<configuration>
					<includes>
						<include>**/*Suite.java</include>
					</includes>
					<workingDirectory>
						${basedir}/rules
					</workingDirectory>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-jar-plugin</artifactId>
				<configuration>
					<archive>
						<index>true</index>
						<manifest>
							<addClasspath>false</addClasspath>
						</manifest>
						<manifestEntries>
							<version>${project.version}</version>
							<groupId>${project.groupId}</groupId>
							<artifactId>
								${project.artifactId}
							</artifactId>
						</manifestEntries>
					</archive>
				</configuration>
			</plugin>

		</plugins>

		<extensions>
			<extension>
				<groupId>org.jvnet.wagon-svn</groupId>
				<artifactId>wagon-svn</artifactId>
				<version>1.6</version>
			</extension>
		</extensions>
	</build>
	<distributionManagement>
		<repository>
			<uniqueVersion>false</uniqueVersion>
			<id>inhouse</id>
			<url>
				svn:http://subversion.techops.uk.betfair:8080/svn/ATG/Projects/maven2_repositories/inhouse/
			</url>
		</repository>
	</distributionManagement>
</project>

